%global momorel 1
%global md5sum_src0 270d0517afdcbb2fbca60d674b5ca4bc

Summary: Disk ARchive
Name:	 dar
Version: 2.3.4
Release: %{momorel}m%{?dist}
URL:	 http://dar.linux.free.fr/
License: GPL
Group:	 Applications/Archiving
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel bzip2-devel openssl-devel
BuildRequires: libattr-devel e2fsprogs-devel

Patch0: dar-2.3.2-x86_64.patch

%description
dar is a shell command that backs up directory trees and files. It has been tested under Linux, Windows, Solaris, FreeBSD, NetBSD, MacOS X and several other systems, it is released under the GNU General Public License (GPL). Since version 2.0.0 an Application Interface (API) is available, opening the way for external/independent Graphical User Interfaces (GUIs) like kdar. This API relies on the libdar library, which is the core part of DAR programs; as such, the API is released under the GPL. Consequently, to use the API, your program must be released under the GPL as well.

%package devel
Summary:	Header files and libraries for a development with %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for a development with %{name}

%prep
%setup -q

%ifarch x86_64 ppc64 sparc64 alpha ia64
%patch0 -p1 -b .x86_64
%endif

%build
%configure --enable-examples
make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# fix docs installation
mkdir -p %{buildroot}%{_datadir}/doc/%{name}-%{version}
for i in *.html README *.dtd *.jpg *.txt man html mini-howto; do
    mv -f %{buildroot}%{_datadir}/dar/${i} %{buildroot}%{_datadir}/doc/%{name}-%{version}
done


# remove libtool la
rm -rf %{buildroot}%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/%{name}/samples
%{_libdir}/lib*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_libdir}/lib*.*a

%changelog
* Thu Jul 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.4-1m)
- update to 2.3.4

* Fri Jun  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.3-1m)
- update to 2.3.3

* Wed Mar 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.3.2-4m)
- BuildRequires: attr-devel -> libattr-devel

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.3.2-3m)
- enable ppc64

* Fri Dec 22 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (2.3.2-2m)
- enable to build on x86_64 (Patch0) ...mmm

* Wed Dec 13 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.3.2-1m)
- build for Momonga
